ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <>
Subject RE: ANT Inside IBM WebSphere Application Developer
Date Tue, 08 Apr 2003 09:50:32 GMT
Hi Tudor,
	Jaxp is a sun library for XML Parsing. You can download it here.


-----Original Message-----
From: Tudor, Liviu @Cimage [] 
Sent: 08 April 2003 10:36
To: 'Ant Users List'
Subject: RE: ANT Inside IBM WebSphere Application Developer

Hi there!

	Thanks for the reply!
	What I did was download the latest ANT which contains 4 jars:
ant.jar, optional.jar, xercesImpl.jar and xml-apis.jar (the last two are
actually a distribution of Xerces 2 for Java). So, I've removed
backed them up on another station -- something told me that it wouldn't
straight away and I might need to revert back to the previous version
the old jars from org.eclipse.ant.core (in the plugins directory) and
over the new jars. Then modified the plugin.xml to include the new jars
restarted the WSAD -- and (suprise!) I didn't get the "Run Ant..." menu
on the xml files. So I went back and double-checked the old config and
realised that I still needed antsupport.jar to enabled Ant in WSAD. So
copied this jar together with the new jars in the org.eclipse.ant.core
directory, modified the plugin.xml file and restarted WSAD -- and great!
"Run Ant..." item appeared again... However, clicking it would produce
"XML parser factory has not been configured correctly. Provider
org.apache.xerces.jaxp.SAXParserFactoryImpl not found." error... Looking
through the manifest files, I've realised that some jars relied on
as well, so I've copied that one over, but I've also found some
of jars that I couldn't find anywhere on apache's website : jaxp.jar --
example... I don't think they are really needed, so I didn't worry about
(as I can run ant from the command line outside WSAD without these
however as it is now Ant wouldn't run any further -- and the trouble is
reverting back to the old ant version makes some of my makefiles useless
I get the ole' "Attribute XXX not supported..." :(
	If you have managed to make this work, could you please bring a
of light into it -- perhaps we could then notify Barry on the actual
needed to make it work -- as I can imagine probably quite a few other
being faced with this challenge at some point, and they probably had to
it up as my "researches" on the web into this only produced Barry's
and this mailing list...



Liviu Tudor 

Cimage Novasoft Limited
Fax: +44 (0)1344 767701
Direct Line: +44 (0)1344 767759 
Centennial Court, Easthampstead Road, Bracknell, BERKS, RG12 1JZ 

If you make something idiot-proof, the world will always create a better

-----Original Message-----
From: Sufyaan Kazi []
Sent: 07 April 2003 23:34
To: Ant Users List
Subject: Re: ANT Inside IBM WebSphere Application Developer

I upgraded my ant in WSAD 4.03 to the latest Ant build, without any
problems. If I remember it was just modifying plugin.xml, and renaming
Unfortunately I've deleted the stuff of this pc, can check when I get
work. What did u change in order to upgrade? I remember their being
anomalies in Barry Searles' instructions.

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message